commit:     33eed1b877eea0d533760a7cec37fb2ea37c57d0
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 11 02:29:00 2020 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Thu Jun 11 02:29:53 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33eed1b8

sys-apps/systemd: remove old

Bug: https://bugs.gentoo.org/708806
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 sys-apps/systemd/Manifest                   |   1 -
 sys-apps/systemd/files/244-efi-gcc-10.patch |  40 ---
 sys-apps/systemd/systemd-244.ebuild         | 503 ----------------------------
 3 files changed, 544 deletions(-)

diff --git a/sys-apps/systemd/Manifest b/sys-apps/systemd/Manifest
index 2b7c2f78b20..a80bda081e4 100644
--- a/sys-apps/systemd/Manifest
+++ b/sys-apps/systemd/Manifest
@@ -1,4 +1,3 @@
-DIST systemd-244.tar.gz 8445963 BLAKE2B 
19751fb9c058a079694ee1b991259fd3f1fa30ae98ca38bbe8caadfc5628db7848c7f742a1b11781fbd67f911adda917d7a4da1dddb63064907f86f47e5a3256
 SHA512 
08f260fb15b5eb273faafda826dd9154e9a02841b4c5911cc1c7e1445072ad51389f8cced7b9acf112737c20fd56b2fbf48b3f914733c934c774d38a23b616fb
 DIST systemd-245.tar.gz 8993479 BLAKE2B 
be0b1fca5ba8585978f570868bc9135c1fee78ea64dcdf8b1a3419e856a83da90104ed2f86e5f3e5b0b6f29d4b34f603bfe1e4cbc61ccf71bedce547db62ff35
 SHA512 
1b80d0e02472dfc4197f11dab4f56cf90e8a6e105ce19f837cb11335b6d8577ed49031dad94cdb41aa9bdc06ec8eec62c8e9246272b83935e7bb9dcd3cd8c012
 DIST systemd-stable-244.3.tar.gz 8484735 BLAKE2B 
25125ecdae59c852e8ceb45b7ed0b76631b301ab4026c4e389c4bc12090fe41f5918411a75bd20f38b6b3993445df93c850ba98f8d9b30fd24fc4e25f8355a3d
 SHA512 
f8e83fa3e57ac8fdbed61b66bb45fd0eafa6fb36eda26f10690d93f34b03daab6ce4e7eff45b79dcaf59f11f41c1b022d1d9314f576c50ad28f6bb5901f1b18d
 DIST systemd-stable-245.5.tar.gz 9020836 BLAKE2B 
7753eecceffa86c9208c3e71df2037b58b445f9090b73c6ff499b4170b94488a1fd1cabcd17cbb98506a692875a3eef07a40a54d23e09c331a01319f8d03d13d
 SHA512 
47de4a59980643002f325c499eeb4dd76fa9f1d1267686e7564f103690487bf85974590d7cb3e3641409e5bfba567fe2a66efa80320e7e8adc48af4461e2e172

diff --git a/sys-apps/systemd/files/244-efi-gcc-10.patch 
b/sys-apps/systemd/files/244-efi-gcc-10.patch
deleted file mode 100644
index ce37ac300be..00000000000
--- a/sys-apps/systemd/files/244-efi-gcc-10.patch
+++ /dev/null
@@ -1,40 +0,0 @@
-From 2c3ab079560664926189d5135b08eccc9797ab9e Mon Sep 17 00:00:00 2001
-From: Susant Sahani <ssah...@vmware.com>
-Date: Sat, 25 Jan 2020 11:30:08 +0100
-Subject: [PATCH] efi: fix build.
-
-```
-ninja -C build
-ninja: Entering directory `build'
-[29/101] Generating systemd_boot.so with a custom command.
-FAILED: src/boot/efi/systemd_boot.so
-/usr/bin/ld -o src/boot/efi/systemd_boot.so -T 
/usr/lib64/gnuefi/elf_x64_efi.lds -shared -Bsymbolic -nostdlib -znocombreloc -L 
/usr/lib64 /usr/lib64/gnuefi/crt0-efi-x64.o src/boot/efi/disk.c.o 
src/boot/efi/graphics.c.o src/boot/efi/measure.c.o src/boot/efi/pe.c.o 
src/boot/efi/util.c.o src/boot/efi/boot.c.o src/boot/efi/console.c.o 
src/boot/efi/crc32.c.o src/boot/efi/random-seed.c.o src/boot/efi/sha256.c.o 
src/boot/efi/shim.c.o -lefi -lgnuefi 
/usr/lib/gcc/x86_64-redhat-linux/10/libgcc.a
-/usr/bin/ld: 
src/boot/efi/graphics.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
multiple definition of `loader_guid'; 
src/boot/efi/disk.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
first defined here
-/usr/bin/ld: 
src/boot/efi/pe.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
multiple definition of `loader_guid'; 
src/boot/efi/disk.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
first defined here
-/usr/bin/ld: 
src/boot/efi/util.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
multiple definition of `loader_guid'; 
src/boot/efi/disk.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
first defined here
-/usr/bin/ld: 
src/boot/efi/boot.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
multiple definition of `loader_guid'; 
src/boot/efi/disk.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
first defined here
-/usr/bin/ld: 
src/boot/efi/console.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
multiple definition of `loader_guid'; 
src/boot/efi/disk.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
first defined here
-/usr/bin/ld: 
src/boot/efi/random-seed.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58:
 multiple definition of `loader_guid'; 
src/boot/efi/disk.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
first defined here
-/usr/bin/ld: 
src/boot/efi/shim.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
multiple definition of `loader_guid'; 
src/boot/efi/disk.c.o:/home/sus/tt/systemd/build/../src/boot/efi/util.h:58: 
first defined here
-[31/101] Generating stub.c.o with a custom command.
-ninja: build stopped: subcommand failed.
-make: *** [Makefile:2: all] Error 1
-
-```
----
- src/boot/efi/util.h | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/src/boot/efi/util.h b/src/boot/efi/util.h
-index 8518dfde77e..b13f22476c6 100644
---- a/src/boot/efi/util.h
-+++ b/src/boot/efi/util.h
-@@ -55,7 +55,7 @@ static inline void FileHandleClosep(EFI_FILE_HANDLE *handle) 
{
-         uefi_call_wrapper((*handle)->Close, 1, *handle);
- }
- 
--const EFI_GUID loader_guid;
-+extern const EFI_GUID loader_guid;
- 
- #define UINTN_MAX (~(UINTN)0)
- #define INTN_MAX ((INTN)(UINTN_MAX>>1))

diff --git a/sys-apps/systemd/systemd-244.ebuild 
b/sys-apps/systemd/systemd-244.ebuild
deleted file mode 100644
index 04b0c3c377d..00000000000
--- a/sys-apps/systemd/systemd-244.ebuild
+++ /dev/null
@@ -1,503 +0,0 @@
-# Copyright 2011-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-if [[ ${PV} == 9999 ]]; then
-       EGIT_REPO_URI="https://github.com/systemd/systemd.git";
-       inherit git-r3
-else
-       MY_PV=${PV/_/-}
-       MY_P=${PN}-${MY_PV}
-       S=${WORKDIR}/${MY_P}
-       
SRC_URI="https://github.com/systemd/systemd/archive/v${MY_PV}/${MY_P}.tar.gz";
-       KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86"
-fi
-
-PYTHON_COMPAT=( python{3_6,3_7} )
-
-inherit bash-completion-r1 linux-info meson multilib-minimal ninja-utils pam 
python-any-r1 systemd toolchain-funcs udev usr-ldscript
-
-DESCRIPTION="System and service manager for Linux"
-HOMEPAGE="https://www.freedesktop.org/wiki/Software/systemd";
-
-LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
-SLOT="0/2"
-IUSE="acl apparmor audit build cgroup-hybrid cryptsetup curl dns-over-tls 
elfutils +gcrypt gnuefi http idn importd +kmod +lz4 lzma nat pam pcre policykit 
qrcode +resolvconf +seccomp selinux split-usr static-libs +sysv-utils test 
vanilla xkb"
-
-REQUIRED_USE="importd? ( curl gcrypt lzma )"
-RESTRICT="!test? ( test )"
-
-MINKV="3.11"
-
-COMMON_DEPEND=">=sys-apps/util-linux-2.30:0=[${MULTILIB_USEDEP}]
-       sys-libs/libcap:0=[${MULTILIB_USEDEP}]
-       acl? ( sys-apps/acl:0= )
-       apparmor? ( sys-libs/libapparmor:0= )
-       audit? ( >=sys-process/audit-2:0= )
-       cryptsetup? ( >=sys-fs/cryptsetup-2.0.1:0= )
-       curl? ( net-misc/curl:0= )
-       dns-over-tls? ( >=net-libs/gnutls-3.5.3:0= )
-       elfutils? ( >=dev-libs/elfutils-0.158:0= )
-       gcrypt? ( >=dev-libs/libgcrypt-1.4.5:0=[${MULTILIB_USEDEP}] )
-       http? (
-               >=net-libs/libmicrohttpd-0.9.33:0=[epoll(+)]
-               >=net-libs/gnutls-3.1.4:0=
-       )
-       idn? ( net-dns/libidn2:= )
-       importd? (
-               app-arch/bzip2:0=
-               sys-libs/zlib:0=
-       )
-       kmod? ( >=sys-apps/kmod-15:0= )
-       lz4? ( >=app-arch/lz4-0_p131:0=[${MULTILIB_USEDEP}] )
-       lzma? ( >=app-arch/xz-utils-5.0.5-r1:0=[${MULTILIB_USEDEP}] )
-       nat? ( net-firewall/iptables:0= )
-       pam? ( sys-libs/pam:=[${MULTILIB_USEDEP}] )
-       pcre? ( dev-libs/libpcre2 )
-       qrcode? ( media-gfx/qrencode:0= )
-       seccomp? ( >=sys-libs/libseccomp-2.3.3:0= )
-       selinux? ( sys-libs/libselinux:0= )
-       xkb? ( >=x11-libs/libxkbcommon-0.4.1:0= )"
-
-# Newer linux-headers needed by ia64, bug #480218
-DEPEND="${COMMON_DEPEND}
-       >=sys-kernel/linux-headers-${MINKV}
-       gnuefi? ( >=sys-boot/gnu-efi-3.0.2 )
-"
-
-# baselayout-2.2 has /run
-RDEPEND="${COMMON_DEPEND}
-       acct-group/adm
-       acct-group/wheel
-       acct-group/kmem
-       acct-group/tty
-       acct-group/utmp
-       acct-group/audio
-       acct-group/cdrom
-       acct-group/dialout
-       acct-group/disk
-       acct-group/input
-       acct-group/kvm
-       acct-group/render
-       acct-group/tape
-       acct-group/video
-       acct-group/systemd-journal
-       acct-user/systemd-journal-remote
-       acct-user/systemd-coredump
-       acct-user/systemd-network
-       acct-user/systemd-resolve
-       acct-user/systemd-timesync
-       >=sys-apps/baselayout-2.2
-       selinux? ( sec-policy/selinux-base-policy[systemd] )
-       sysv-utils? ( !sys-apps/sysvinit )
-       !sysv-utils? ( sys-apps/sysvinit )
-       resolvconf? ( !net-dns/openresolv )
-       !build? ( || (
-               sys-apps/util-linux[kill(-)]
-               sys-process/procps[kill(+)]
-               sys-apps/coreutils[kill(-)]
-       ) )
-       !sys-auth/nss-myhostname
-       !sys-fs/eudev
-       !sys-fs/udev
-"
-
-# sys-apps/dbus: the daemon only (+ build-time lib dep for tests)
-PDEPEND=">=sys-apps/dbus-1.9.8[systemd]
-       >=sys-apps/hwids-20150417[udev]
-       >=sys-fs/udev-init-scripts-25
-       policykit? ( sys-auth/polkit )
-       !vanilla? ( sys-apps/gentoo-systemd-integration )"
-
-BDEPEND="
-       app-arch/xz-utils:0
-       dev-util/gperf
-       >=dev-util/meson-0.46
-       >=dev-util/intltool-0.50
-       >=sys-apps/coreutils-8.16
-       sys-devel/m4
-       virtual/pkgconfig[${MULTILIB_USEDEP}]
-       test? ( sys-apps/dbus )
-       app-text/docbook-xml-dtd:4.2
-       app-text/docbook-xml-dtd:4.5
-       app-text/docbook-xsl-stylesheets
-       dev-libs/libxslt:0
-       $(python_gen_any_dep 'dev-python/lxml[${PYTHON_USEDEP}]')
-"
-
-python_check_deps() {
-       has_version -b "dev-python/lxml[${PYTHON_USEDEP}]"
-}
-
-pkg_pretend() {
-       if [[ ${MERGE_TYPE} != buildonly ]]; then
-               if use test && has pid-sandbox ${FEATURES}; then
-                       ewarn "Tests are known to fail with PID sandboxing 
enabled."
-                       ewarn "See https://bugs.gentoo.org/674458.";
-               fi
-
-               local CONFIG_CHECK="~AUTOFS4_FS ~BLK_DEV_BSG ~CGROUPS
-                       ~CHECKPOINT_RESTORE ~DEVTMPFS ~EPOLL ~FANOTIFY ~FHANDLE
-                       ~INOTIFY_USER ~IPV6 ~NET ~NET_NS ~PROC_FS ~SIGNALFD 
~SYSFS
-                       ~TIMERFD ~TMPFS_XATTR ~UNIX
-                       ~CRYPTO_HMAC ~CRYPTO_SHA256 ~CRYPTO_USER_API_HASH
-                       ~!FW_LOADER_USER_HELPER_FALLBACK ~!GRKERNSEC_PROC ~!IDE 
~!SYSFS_DEPRECATED
-                       ~!SYSFS_DEPRECATED_V2"
-
-               use acl && CONFIG_CHECK+=" ~TMPFS_POSIX_ACL"
-               use seccomp && CONFIG_CHECK+=" ~SECCOMP ~SECCOMP_FILTER"
-               kernel_is -lt 3 7 && CONFIG_CHECK+=" ~HOTPLUG"
-               kernel_is -lt 4 7 && CONFIG_CHECK+=" ~DEVPTS_MULTIPLE_INSTANCES"
-               kernel_is -ge 4 10 && CONFIG_CHECK+=" ~CGROUP_BPF"
-
-               if linux_config_exists; then
-                       local uevent_helper_path=$(linux_chkconfig_string 
UEVENT_HELPER_PATH)
-                       if [[ -n ${uevent_helper_path} ]] && [[ 
${uevent_helper_path} != '""' ]]; then
-                               ewarn "It's recommended to set an empty value 
to the following kernel config option:"
-                               ewarn 
"CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
-                       fi
-                       if linux_chkconfig_present X86; then
-                               CONFIG_CHECK+=" ~DMIID"
-                       fi
-               fi
-
-               if kernel_is -lt ${MINKV//./ }; then
-                       ewarn "Kernel version at least ${MINKV} required"
-               fi
-
-               check_extra_config
-       fi
-}
-
-pkg_setup() {
-       :
-}
-
-src_unpack() {
-       default
-       [[ ${PV} != 9999 ]] || git-r3_src_unpack
-}
-
-src_prepare() {
-       # Do NOT add patches here
-       local PATCHES=()
-
-       [[ -d "${WORKDIR}"/patches ]] && PATCHES+=( "${WORKDIR}"/patches )
-
-       # Add local patches here
-       PATCHES+=(
-               "${FILESDIR}"/244-efi-gcc-10.patch
-               "${FILESDIR}/245-clang-gnu11.patch"
-       )
-
-       if ! use vanilla; then
-               PATCHES+=(
-                       "${FILESDIR}/gentoo-Dont-enable-audit-by-default.patch"
-                       "${FILESDIR}/gentoo-systemd-user-pam.patch"
-                       "${FILESDIR}/gentoo-generator-path-r1.patch"
-               )
-       fi
-
-       default
-}
-
-src_configure() {
-       # Prevent conflicts with i686 cross toolchain, bug 559726
-       tc-export AR CC NM OBJCOPY RANLIB
-
-       python_setup
-
-       multilib-minimal_src_configure
-}
-
-meson_use() {
-       usex "$1" true false
-}
-
-meson_multilib() {
-       if multilib_is_native_abi; then
-               echo true
-       else
-               echo false
-       fi
-}
-
-meson_multilib_native_use() {
-       if multilib_is_native_abi && use "$1"; then
-               echo true
-       else
-               echo false
-       fi
-}
-
-multilib_src_configure() {
-       local myconf=(
-               --localstatedir="${EPREFIX}/var"
-               -Dsupport-url="https://gentoo.org/support/";
-               -Dpamlibdir="$(getpam_mod_dir)"
-               # avoid bash-completion dep
-               -Dbashcompletiondir="$(get_bashcompdir)"
-               # make sure we get /bin:/sbin in PATH
-               -Dsplit-usr=$(usex split-usr true false)
-               -Dsplit-bin=true
-               -Drootprefix="$(usex split-usr "${EPREFIX:-/}" 
"${EPREFIX}/usr")"
-               -Drootlibdir="${EPREFIX}/usr/$(get_libdir)"
-               -Dsysvinit-path=
-               -Dsysvrcnd-path=
-               # Avoid infinite exec recursion, bug 642724
-               -Dtelinit-path="${EPREFIX}/lib/sysvinit/telinit"
-               # no deps
-               -Dima=true
-               -Ddefault-hierarchy=$(usex cgroup-hybrid hybrid unified)
-               # Optional components/dependencies
-               -Dacl=$(meson_multilib_native_use acl)
-               -Dapparmor=$(meson_multilib_native_use apparmor)
-               -Daudit=$(meson_multilib_native_use audit)
-               -Dlibcryptsetup=$(meson_multilib_native_use cryptsetup)
-               -Dlibcurl=$(meson_multilib_native_use curl)
-               -Ddns-over-tls=$(meson_multilib_native_use dns-over-tls)
-               -Delfutils=$(meson_multilib_native_use elfutils)
-               -Dgcrypt=$(meson_use gcrypt)
-               -Dgnu-efi=$(meson_multilib_native_use gnuefi)
-               -Defi-libdir="${ESYSROOT}/usr/$(get_libdir)"
-               -Dmicrohttpd=$(meson_multilib_native_use http)
-               -Didn=$(meson_multilib_native_use idn)
-               -Dimportd=$(meson_multilib_native_use importd)
-               -Dbzip2=$(meson_multilib_native_use importd)
-               -Dzlib=$(meson_multilib_native_use importd)
-               -Dkmod=$(meson_multilib_native_use kmod)
-               -Dlz4=$(meson_use lz4)
-               -Dxz=$(meson_use lzma)
-               -Dlibiptc=$(meson_multilib_native_use nat)
-               -Dpam=$(meson_use pam)
-               -Dpcre2=$(meson_multilib_native_use pcre)
-               -Dpolkit=$(meson_multilib_native_use policykit)
-               -Dqrencode=$(meson_multilib_native_use qrcode)
-               -Dseccomp=$(meson_multilib_native_use seccomp)
-               -Dselinux=$(meson_multilib_native_use selinux)
-               -Ddbus=$(meson_multilib_native_use test)
-               -Dxkbcommon=$(meson_multilib_native_use xkb)
-               -Dntp-servers="0.gentoo.pool.ntp.org 1.gentoo.pool.ntp.org 
2.gentoo.pool.ntp.org 3.gentoo.pool.ntp.org"
-               # Breaks screen, tmux, etc.
-               -Ddefault-kill-user-processes=false
-               -Dcreate-log-dirs=false
-
-               # multilib options
-               -Dbacklight=$(meson_multilib)
-               -Dbinfmt=$(meson_multilib)
-               -Dcoredump=$(meson_multilib)
-               -Denvironment-d=$(meson_multilib)
-               -Dfirstboot=$(meson_multilib)
-               -Dhibernate=$(meson_multilib)
-               -Dhostnamed=$(meson_multilib)
-               -Dhwdb=$(meson_multilib)
-               -Dldconfig=$(meson_multilib)
-               -Dlocaled=$(meson_multilib)
-               -Dman=$(meson_multilib)
-               -Dnetworkd=$(meson_multilib)
-               -Dquotacheck=$(meson_multilib)
-               -Drandomseed=$(meson_multilib)
-               -Drfkill=$(meson_multilib)
-               -Dsysusers=$(meson_multilib)
-               -Dtimedated=$(meson_multilib)
-               -Dtimesyncd=$(meson_multilib)
-               -Dtmpfiles=$(meson_multilib)
-               -Dvconsole=$(meson_multilib)
-
-               # static-libs
-               -Dstatic-libsystemd=$(usex static-libs true false)
-               -Dstatic-libudev=$(usex static-libs true false)
-       )
-
-       meson_src_configure "${myconf[@]}"
-}
-
-multilib_src_compile() {
-       eninja
-}
-
-multilib_src_test() {
-       unset DBUS_SESSION_BUS_ADDRESS XDG_RUNTIME_DIR
-       meson_src_test
-}
-
-multilib_src_install() {
-       DESTDIR="${D}" eninja install
-}
-
-multilib_src_install_all() {
-       local rootprefix=$(usex split-usr '' /usr)
-
-       # meson doesn't know about docdir
-       mv "${ED}"/usr/share/doc/{systemd,${PF}} || die
-
-       einstalldocs
-       dodoc "${FILESDIR}"/nsswitch.conf
-
-       if ! use resolvconf; then
-               rm -f "${ED}${rootprefix}"/sbin/resolvconf || die
-       fi
-
-       if ! use sysv-utils; then
-               rm 
"${ED}${rootprefix}"/sbin/{halt,init,poweroff,reboot,runlevel,shutdown,telinit} 
|| die
-               rm "${ED}"/usr/share/man/man1/init.1 || die
-               rm 
"${ED}"/usr/share/man/man8/{halt,poweroff,reboot,runlevel,shutdown,telinit}.8 
|| die
-       fi
-
-       if ! use resolvconf && ! use sysv-utils; then
-               rmdir "${ED}${rootprefix}"/sbin || die
-       fi
-
-       # Preserve empty dirs in /etc & /var, bug #437008
-       keepdir /etc/{binfmt.d,modules-load.d,tmpfiles.d}
-       keepdir /etc/kernel/install.d
-       keepdir /etc/systemd/{network,system,user}
-       keepdir /etc/udev/{hwdb.d,rules.d}
-       keepdir "${rootprefix}"/lib/systemd/{system-sleep,system-shutdown}
-       keepdir /usr/lib/{binfmt.d,modules-load.d}
-       keepdir /usr/lib/systemd/user-generators
-       keepdir /var/lib/systemd
-       keepdir /var/log/journal
-
-       # Symlink /etc/sysctl.conf for easy migration.
-       dosym ../sysctl.conf /etc/sysctl.d/99-sysctl.conf
-
-       rm -r "${ED}${rootprefix}"/lib/udev/hwdb.d || die
-
-       if use split-usr; then
-               # Avoid breaking boot/reboot
-               dosym ../../../lib/systemd/systemd /usr/lib/systemd/systemd
-               dosym ../../../lib/systemd/systemd-shutdown 
/usr/lib/systemd/systemd-shutdown
-       fi
-
-       gen_usr_ldscript -a systemd udev
-}
-
-migrate_locale() {
-       local envd_locale_def="${EROOT}/etc/env.d/02locale"
-       local envd_locale=( "${EROOT}"/etc/env.d/??locale )
-       local locale_conf="${EROOT}/etc/locale.conf"
-
-       if [[ ! -L ${locale_conf} && ! -e ${locale_conf} ]]; then
-               # If locale.conf does not exist...
-               if [[ -e ${envd_locale} ]]; then
-                       # ...either copy env.d/??locale if there's one
-                       ebegin "Moving ${envd_locale} to ${locale_conf}"
-                       mv "${envd_locale}" "${locale_conf}"
-                       eend ${?} || FAIL=1
-               else
-                       # ...or create a dummy default
-                       ebegin "Creating ${locale_conf}"
-                       cat > "${locale_conf}" <<-EOF
-                               # This file has been created by the 
sys-apps/systemd ebuild.
-                               # See locale.conf(5) and localectl(1).
-
-                               # LANG=${LANG}
-                       EOF
-                       eend ${?} || FAIL=1
-               fi
-       fi
-
-       if [[ ! -L ${envd_locale} ]]; then
-               # now, if env.d/??locale is not a symlink (to locale.conf)...
-               if [[ -e ${envd_locale} ]]; then
-                       # ...warn the user that he has duplicate locale settings
-                       ewarn
-                       ewarn "To ensure consistent behavior, you should 
replace ${envd_locale}"
-                       ewarn "with a symlink to ${locale_conf}. Please migrate 
your settings"
-                       ewarn "and create the symlink with the following 
command:"
-                       ewarn "ln -s -n -f ../locale.conf ${envd_locale}"
-                       ewarn
-               else
-                       # ...or just create the symlink if there's nothing here
-                       ebegin "Creating ${envd_locale_def} -> ../locale.conf 
symlink"
-                       ln -n -s ../locale.conf "${envd_locale_def}"
-                       eend ${?} || FAIL=1
-               fi
-       fi
-}
-
-save_enabled_units() {
-       ENABLED_UNITS=()
-       type systemctl &>/dev/null || return
-       for x; do
-               if systemctl --quiet --root="${ROOT:-/}" is-enabled "${x}"; then
-                       ENABLED_UNITS+=( "${x}" )
-               fi
-       done
-}
-
-pkg_preinst() {
-       save_enabled_units {machines,remote-{cryptsetup,fs}}.target 
getty@tty1.service
-
-       if ! use split-usr; then
-               local dir
-               for dir in bin sbin lib; do
-                       if [[ ! ${EROOT}/${dir} -ef ${EROOT}/usr/${dir} ]]; then
-                               eerror "\"${EROOT}/${dir}\" and 
\"${EROOT}/usr/${dir}\" are not merged."
-                               eerror "One of them should be a symbolic link 
to the other one."
-                               FAIL=1
-                       fi
-               done
-               if [[ ${FAIL} ]]; then
-                       eerror "Migration to system layout with merged 
directories must be performed before"
-                       eerror "rebuilding ${CATEGORY}/${PN} with 
USE=\"-split-usr\" to avoid run-time breakage."
-                       die "System layout with split directories still used"
-               fi
-       fi
-}
-
-pkg_postinst() {
-       systemd_update_catalog
-
-       # Keep this here in case the database format changes so it gets updated
-       # when required. Despite that this file is owned by sys-apps/hwids.
-       if has_version "sys-apps/hwids[udev]"; then
-               udevadm hwdb --update --root="${EROOT}"
-       fi
-
-       udev_reload || FAIL=1
-
-       # Bug 465468, make sure locales are respect, and ensure consistency
-       # between OpenRC & systemd
-       migrate_locale
-
-       systemd_reenable systemd-networkd.service systemd-resolved.service
-
-       if [[ ${ENABLED_UNITS[@]} ]]; then
-               systemctl --root="${ROOT:-/}" enable "${ENABLED_UNITS[@]}"
-       fi
-
-       if [[ -z ${REPLACING_VERSIONS} ]]; then
-               if type systemctl &>/dev/null; then
-                       systemctl --root="${ROOT:-/}" enable getty@.service 
remote-fs.target || FAIL=1
-               fi
-               elog "To enable a useful set of services, run the following:"
-               elog "  systemctl preset-all --preset-mode=enable-only"
-       fi
-
-       if [[ -L ${EROOT}/var/lib/systemd/timesync ]]; then
-               rm "${EROOT}/var/lib/systemd/timesync"
-       fi
-
-       if [[ -z ${ROOT} && -d /run/systemd/system ]]; then
-               ebegin "Reexecuting system manager"
-               systemctl daemon-reexec
-               eend $?
-       fi
-
-       if [[ ${FAIL} ]]; then
-               eerror "One of the postinst commands failed. Please check the 
postinst output"
-               eerror "for errors. You may need to clean up your system and/or 
try installing"
-               eerror "systemd again."
-               eerror
-       fi
-}
-
-pkg_prerm() {
-       # If removing systemd completely, remove the catalog database.
-       if [[ ! ${REPLACED_BY_VERSION} ]]; then
-               rm -f -v "${EROOT}"/var/lib/systemd/catalog/database
-       fi
-}

Reply via email to